package be.ac.ua.broker.allocation.spot.model;

/**
 * The Parameter class contains the parameters of the checkpointing: - the
 * checkpointing time - the checkpointing overhead time - the waiting time - the
 * recovery time
 * 
 * @author Vermeersch Kurt (Based on Sangho Yi c++ implementation of the spot
 *         model)
 * @date October 2010
 */
public class Parameter {

	/** Checkpointing time */
	private double t_c;
	/** Waiting time */
	private double t_w;
	/** Recovery time */
	private double t_r;
	/** Checkpointing overhead time */
	private double t_o;

	/**
	 * Constructor for the checkpointing parameters
	 */
	public Parameter() {
		t_o = SpotModelOptions.TIME_CHKOVERHEAD;
		t_c = SpotModelOptions.TIME_CHECKPOINT;
		t_w = SpotModelOptions.TIME_WAITING;
		t_r = SpotModelOptions.TIME_RECOVERY;
	}

	/**
	 * @return the checkpointing time (t_c)
	 */
	public double getCheckpointingTime() {
		return t_c;
	}

	/**
	 * @return the waiting time (t_w)
	 */
	public double getWaitingTime() {
		return t_w;
	}

	/**
	 * @return the recovery time (t_r)
	 */
	public double getRecoveryTime() {
		return t_r;
	}

	/**
	 * @return the checkpointing overhead time (t_o)
	 */
	public double getCheckpointingOverheadTime() {
		return t_o;
	}

}
