package be.ac.ua.broker.allocation.spot.model;

/**
 * The Task class represents a certain task (with given length) that will be
 * simulated.
 * 
 * @author Vermeersch Kurt (Based on Sangho Yi c++ implementation of the spot
 *         model)
 * @date October 2010
 */
public class Task {

	/**
	 * Total required execution time for the task
	 */
	private double t_total = 0;

	/**
	 * Constructor for the Task. 
	 * 
	 * @param time_appexec
	 *            length of the task
	 * @param inst
	 *            instance type/category this task is run on
	 */
	public Task(final int time_appexec, final String inst) {
		t_total = time_appexec;
	}

	/**
	 * Getter for the total execution time of the task
	 * 
	 * @return the requested total execution time
	 */
	public Double getTotalExecutionTime() {
		return t_total;
	}

}
