package be.ac.ua.broker.input.pricing;

/**
 * This class represents a filter that decides what data is analyzed
 * 
 * @author Vermeersch Kurt
 * @date October 2010
 */
public interface CSVFilterInterface {

	/**
	 * Returns whether according to the information found in the given string
	 * the corresponding data should be analyzed or should rather be skipped.
	 * 
	 * @param data
	 *            the string with data on which to base the decision whether to
	 *            analyze the corresponding data
	 * @return whether to analyze the corresponding data to the given data
	 *         string
	 */
	public boolean keepValue(String data);

	/**
	 * Getter for the column in which the needed information to base the
	 * decision whether to analyze the corresponding record data can be found in
	 * the input CSV file
	 * 
	 * @return the column in which the needed information to base the decision
	 *         on is found in the input CSV file
	 */
	public int getColumn();

}
