package be.ac.ua.broker.input.pricing;

/**
 * This class contains a number of EC2 constants that are used by the broker,
 * such as the string representations for the three pricing models, the
 * different instance types, the operating systems provided by tyhe EC2
 * instances, the geographical regions in which Amazon EC2 is operating, ...
 * 
 * @author Vermeersch Kurt
 * @date October 2010
 */
public class EC2Constants {

	/**
	 * Amazon EC2 Pricing Models
	 */
	public final static String ONDEMAND = "On-Demand";
	public final static String RESERVED = "Reserved";
	public final static String SPOT = "Spot";

	/**
	 * Amazon EC2 Instance Types
	 */
	// Standard
	public final static String STANDARD_SMALL = "Standard - Small";
	public final static String STANDARD_LARGE = "Standard - Large";
	public final static String STANDARD_EXTRALARGE = "Standard - Extra Large";
	// Micro
	public final static String MICRO_MICRO = "Micro - Micro";
	// High Memory
	public final static String HIGHMEMORY_EXTRALARGE = "High Memory - Extra Large";
	public final static String HIGHMEMORY_DOUBLEEXTRALARGE = "High Memory - Double Extra Large";
	public final static String HIGHMEMORY_QUADRUPLEEXTRALARGE = "High Memory - Quadruple Extra Large";
	// High CPU
	public final static String HIGHCPU_MEDIUM = "High CPU - Medium";
	public final static String HIGHCPU_EXTRALARGE = "High CPU - Extra Large";
	// Cluster
	public final static String CLUSTERCOMPUTE_QUADRUPLEEXTRALARGE = "Cluster Compute - Quadruple Extra Large";
	public final static String CLUSTERGPU_QUADRUPLEEXTRALARGE = "Cluster GPU - Quadruple Extra Large";

	/**
	 * Amazon EC2 OS Types
	 */
	public final static String LINUX = "Linux/Unix";
	public final static String WINDOWS = "Windows";

	/**
	 * Amazon EC2 Regions
	 */
	public final static String USEAST = "US - N.Virginia";
	public final static String USWEST = "US - N.California";
	public final static String EU = "EU - Ireland";
	public final static String ASIASOUTH = "APAC - Singapore";
	public final static String ASIANORTH = "APAC - Tokyo";

	/**
	 * General Input
	 */
	public static String NOTAVAILABLE = "NA";

}
