package be.ac.ua.broker.input.pricing;

/**
 * This class represents a reserved price in the broker. It consist of a fixed
 * price together with a hourly price.
 * 
 * @author Vermeersch Kurt
 * @date May 2011
 */
public class OnDemandPrice extends Price {

	/**
	 * Constructor for OnDemandPrice
	 * 
	 * @param hourly
	 *            the hourly price in US dollars
	 */
	public OnDemandPrice(double hourly) {
		super(hourly);
	}

	@Override
	public String getPricingModel() {
		return EC2Constants.ONDEMAND;
	}

}
