package be.ac.ua.broker.input.pricing;

/**
 * This class represents an abstract price, which already consists of an amount
 * in US dollars that is an hourly price.
 * 
 * @author Vermeersch Kurt
 * @date May 2011
 */
public abstract class Price {

	/**
	 * The amount in US dollars per hour the price consists of
	 */
	private double amount;

	/**
	 * Constructor fort Price
	 * 
	 * @param hourly
	 *            the price in US dollars per hour
	 */
	public Price(double hourly) {
		amount = hourly;
	}

	/**
	 * @return the price in US dollars per hour
	 */
	public double getHourlyPrice() {
		return amount;
	}

	/**
	 * Print the price information
	 */
	public void print() {
		System.out.println("Hourly=" + amount);
	}

	/**
	 * @return the price model this price object is a part of
	 */
	public abstract String getPricingModel();

}
