package be.ac.ua.broker.input.pricing;

/**
 * This class represents a spot price in the broker.
 * 
 * @author Vermeersch Kurt
 * @date May 2011
 */
public class SpotPrice extends Price {

	/**
	 * Constructor for SpotPrice
	 * 
	 * @param hourly
	 *            the spot price for the corresponding hour and instance in US
	 *            dollars
	 */
	public SpotPrice(double hourly) {
		super(hourly);
	}

	@Override
	public String getPricingModel() {
		return EC2Constants.SPOT;
	}

}
