package be.ac.ua.broker.output.gui;

import java.awt.event.ActionEvent;

import javax.swing.AbstractAction;
import javax.swing.Icon;

/**
 * This class is used to represent an action of the menu of the GUI for the
 * broker application.
 * 
 * @author Vermeersch Kurt
 * @date May 2011
 */
class MenuAction extends AbstractAction {

	/** Serial Version ID */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructor for MenuAction
	 * 
	 * @param text
	 *            the text associated with the menu action
	 * @param icon
	 *            the icon associated with the menu action
	 */
	public MenuAction(String text, Icon icon) {
		super(text, icon);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		if (e.getActionCommand().equals(ScheduleGUI.EXIT_CMD)) {
			System.exit(0);
		}
	}
	
}
