package be.ac.ua.broker.scheduling.workload;

import be.ac.ua.broker.input.tasks.SubTask;

/**
 * This class is used to represent a DummySubTask, it is used to fill the spots
 * in a list of SubTask on the places where no actual subTask is scheduled.
 * 
 * @author Vermeersch Kurt
 * @date May 2011
 */
public class DummySubTask extends SubTask {

	/** Serial Version ID */
	private static final long serialVersionUID = 1L;

	/**
	 * String representing the name of the dummy subtasks
	 */
	private static final String DUMMY_IDENTIFIER = "dummy";

	/**
	 * Constructor for DummySubTask
	 */
	public DummySubTask() {
		super(DUMMY_IDENTIFIER);
	}

	/**
	 * @return whether the subTask is a dummy, which means it's not a real part
	 *         of a task, it's just a place holder in the data structure in an
	 *         empty slot.
	 */
	public boolean isDummy() {
		return true;
	}

}
