package be.ac.ua.broker.utils;

import java.io.File;

/**
 * This class contains some file utilities needed in the application. It
 * provides static methods to delete all files and/or folders in a file folder.
 * 
 * @author Vermeersch Kurt
 * @date May 2011
 */
public class FolderUtils {

	/**
	 * Remove all the files found at the given path
	 * 
	 * @param folder
	 *            the path to the folder of which to remove all files
	 */
	public static void removeFilesInFolder(final String folder) {
		File dir = new File(folder);
		if (dir.exists()) {
			String[] info = dir.list();
			for (int i = 0; i < info.length; i++) {
				File n = new File(folder + File.separator + info[i]);
				if (n.isFile()) {
					n.delete();
				}
			}
		}
	}

	/**
	 * Remove all the files and folders found at the given path
	 * 
	 * @param folder
	 *            the path to the folder of which to remove all files and folders
	 */
	public static void removeFilesAndFoldersInFolder(final String folder) {
		File dir = new File(folder);
		if (dir.exists()) {
			String[] info = dir.list();
			for (int i = 0; i < info.length; i++) {

				String fol = folder + File.separator + info[i];
				File n = new File(fol);
				if (n.isFile()) {
					n.delete();
				} else {
					removeFilesAndFoldersInFolder(fol);
					n.delete();
				}
			}
		}
	}
}
