package be.ac.ua.broker.utils;

/**
 * This class represents the exception that is thrown when the user provides
 * input that that is not recognized by our application, but it's not caused by
 * an unknown instance type, region or operating system.
 * 
 * @author Vermeersch Kurt
 * @date May 2011
 */
public class InvalidInputException extends Exception {

	/** Serial Version ID */
	private static final long serialVersionUID = 1L;

	/**
	 * Constructor for the InvalidInputException
	 * 
	 * @param msg
	 *            message that explains why an exception is thrown
	 */
	public InvalidInputException(final String msg) {
		super(msg);
	}

}
